import { Controller, Get } from '@nestjs/common';
import { ApiOperation, ApiProperty } from '@nestjs/swagger';
import { META } from './meta';
import { ApiUserInfo } from 'lib';

export class ApiInfo {
  @ApiProperty()
  version: string;
}

export class AuthInfo {
  @ApiProperty()
  authenticated: boolean;

  @ApiProperty()
  user: string;

  @ApiProperty({ default: false })
  god: boolean;

  @ApiProperty({ type: () => ApiUserInfo, nullable: true })
  profile: ApiUserInfo | null;
}

@Controller()
export class AppController {
  @Get()
  @ApiOperation({ summary: 'Fetch API configuration' })
  getHello(): ApiInfo {
    return {
      version: META.version,
    };
  }
}
