import { Module } from '@nestjs/common';
import { AuthController } from './auth.controller';
import { AuthService } from './auth.service';
import { AuthGuard } from './auth.guard';
import { MongodbModule } from 'src/database/database.module';
import { AuthGateway } from './auth.gateway.js';

@Module({
  controllers: [AuthController],
  providers: [AuthService, AuthGuard, AuthGateway],
  exports: [AuthGuard, AuthService],
  imports: [MongodbModule],
})
export class AuthModule {}
