import { Controller, Delete, Get, Patch, Post, Put } from '@nestjs/common';
import { ApiResponse, ApiTags } from '@nestjs/swagger';

/**
 * This is required because https://github.com/insertish/oapi doesn't build
 * if there's not at least one of every request method present.
 */

@Controller('test')
@ApiTags('test')
@ApiResponse({
  description:
    'These routes exist as a temporary workaround because the OpenAPI spec is expected to have at least one route for every request method by @insertish/oapi.',
})
export class TestController {
  @Get()
  get() {
    return 'get';
  }

  @Post()
  post() {
    return 'post';
  }

  @Patch()
  patch() {
    return 'patch';
  }

  @Put()
  put() {
    return 'put';
  }

  @Delete()
  delete() {
    return 'delete';
  }
}
