import i18n from "i18next";
import { initReactI18next } from "react-i18next";
import LanguageDetector from "i18next-browser-languagedetector";
import HttpBackend from "i18next-http-backend";

i18n.use(LanguageDetector)
    .use(initReactI18next)
    .use(HttpBackend)
    .init({
        backend: {
            loadPath: `/translations/{{ns}}/{{lng}}.json`,
        },
        ns: "web",
        debug: false,
        fallbackLng: "en",
        interpolation: {
            escapeValue: false, // React does this for us
        },
    });

export default i18n;
